<?php
namespace OCA\GroupfolderFilesystemSnapshots\Settings;

use OCP\AppFramework\Http\TemplateResponse;
use OCP\Settings\ISettings;

class SnapshotsAdmin implements ISettings {

    public function __construct() {
    }

    /**
     * @return TemplateResponse
     */
    public function getForm() {
        return new TemplateResponse('groupfolder_filesystem_snapshots', 'settings/admin');
    }

    public function getSection() {
        return 'groupfolder_filesystem_snapshots';
    }

    public function getPriority() {
        return 10;
    }
}